from extensions.list import CoreList

class CheckSequenceUsecase(list):
    def isCorrectByParts(self, checkList) -> bool:
        parts = self[len(self) - 1]
        for part in parts:
            part = str(part)
            part = part[1:-1]
        
        return CoreList(self).equal(checkList)

